| Kea 3.0.2-git

fork.cc File Reference
`#include <config.h>`
`#include <util/unittests/fork.h>`
`#include <util/io/fd.h>`
`#include <sys/types.h>`
`#include <sys/wait.h>`
`#include <unistd.h>`
`#include <signal.h>`
`#include <string.h>`
`#include <cerrno>`
`#include <stdlib.h>`
`#include <stdio.h>`
Include dependency graph for fork.cc:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::util
namespace | isc::util::unittests

## Functions
pid_t | isc::util::unittests::check_output (int *write_pipe, const void *const output, const size_t length)
bool | isc::util::unittests::process_ok (pid_t process)
| Checks that a process terminates correctly.
pid_t | isc::util::unittests::provide_input (int *read_pipe, const void *input, const size_t length)